This function requests the plan pricing information associated with the given distributor code.
GetPlanPricingInformation takes the arguments:
| Name | Schema Type | Description |
|---|---|---|
| DistributorCode | String | The Distributor Code that identifies the billing plan groups and plans. |
| DistributorPassword | String | The Distributor Password for the DistributorCode. |
Sample Request XML
POST /api/3.0/accountmanagement.asmx HTTP/1.1Host: docusign.netContent-Type: text/xml; charset=utf-8Content-Length: lengthSOAPAction: "http://www.docusign.net/API/AccountManagement/GetPlanPricingInformation"<?xml version="1.0" encoding="utf-8"?><soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/"><soap: Body><GetPlanPricingInformation xmlns="http://www.docusign.net/API/AccountManagement"><DistributorCode>string</DistributorCode><DistributorPassword>string</DistributorPassword><Pgp>string</Pgp></GetPlanPricingInformation></soap:Body></soap:Envelope>
The function returns the plan pricing information for the distributor code. The following information is included in the result:
| Name | Schema Type | Description |
|---|---|---|
| PlanName | String | The name of the plan. |
| PaymentCycle | The payment cycle associated with the plan. The possible values are: Monthly or Annually. | |
| PaymentMethod | The payment method used with the plan. The possible values are: CreditCard, PurchaseOrder, Premium, or PrePaid. | |
| PerSeatPrice | Decimal | The per seat price for the plan. |
| OtherDiscountPercent | Decimal | Any other percentage discount for the plan. |
| SupportIncidentFee | Decimal | The support incident fee charged for each support incident. |
| SupportPlanFee | Decimal | The support plan fee charged for this plan. |
| IncludedSeats | Integer | The number of seats included in the plan. |
| EnableSupport | Boolean | If “true” the plan has support enabled. |
| Pgp | String | The plan group plan for the account. The Pgp uniquely identifies a plan/plan group and is used to set plans in other functions. |
| SeatDiscounts | SeatDiscount | A complex type that return any seat discount information.It contains the information: BeginSeatCount, EndSeatCount and SeatDiscountPercent. |
Sample Response XML
HTTP/1.1 200 OKContent-Type: text/xml; charset=utf-8Content-Length: length<?xml version="1.0" encoding="utf-8"?><soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/"><soap: Body><GetPlanPricingInformationResponse xmlns="http://www.docusign.net/API/AccountManagement"><GetPlanPricingInformationResult><Plan><PlanName>string</PlanName><PaymentCycle>Monthly or Annually</PaymentCycle><PaymentMethod>CreditCard or PurchaseOrder or Premium or Freemium</PaymentMethod><PerSeatPrice>decimal</PerSeatPrice><OtherDiscountPercent>decimal</OtherDiscountPercent><SupportIncidentFee>decimal</SupportIncidentFee><SupportPlanFee>decimal</SupportPlanFee><IncludedSeats>integer</IncludedSeats><EnableSupport>boolean</EnableSupport><PgpId>string</PgpId><SeatDiscounts><SeatDiscount xsi:nil="true" /><SeatDiscount xsi:nil="true" /></SeatDiscounts></Plan><Success>boolean</Success><Error><ErrorCode>Unspecified_Error or Invalid_Account_ID or Account_Requires_User_Name_And_Password_For_Activation or Account_Is_Already_Activated_For_Salesforce or Invalid_Distributor_For_Account or Invalid_User_ID or Invalid_Account or User_Is_Not_An_Account_Manager or Invalid_Login or Invalid_Member_User_Name or Invalid_Member_Email or Member_Email_Not_Allowed or Member_Email_And_User_Name_Awaiting_Activation or Member_Email_And_User_Name_Already_Exists_For_This_Account or Member_Password_Blank or Member_Forgotten_Password_Question_Blank or Member_Forgotten_Password_Answer_Blank or Invalid_Password_Format or Invalid_Member_Data or Member_Email_And_User_Name_Already_Exists or Not_Authorized or Invalid_Distributor_Selected or Invalid_PGP_For_Distributor or Invalid_Credit_Card_Type or CreditCard_Auth_Failed or Invalid_PGP or Invalid_Plan_Retired or Invalid_Successor_Plan or Invalid_Credit_Card or Credit_Card_Expiration or Invalid_AppToken or Distributor_Not_Enabled_For_AppToken or Plan_Group_Not_Enabled_For_Distributor or Invalid_Configuration_Number or Invalid_Salesforce_Credentials or Invalid_Salesforce_External_Instance_ID or Invalid_Docusign_Connect_Configuration_For_Account or Invalid_User or Invalid_Membership or Invalid_Account_Member or Invalid_Edit_User or Invalid_Edit_Membership or Invalid_CanEditSharedAddressBook_Value or Invalid_CanManageTemplates_Value or Invalid_Membership_ID or Invalid_Request or Partner_Authentication_Failed</ErrorCode><Description>string</Description></Error></GetPlanPricingInformationResult></GetPlanPricingInformationResponse></soap:Body></soap:Envelope>